> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.taigabilling.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.taigabilling.com/_mcp/server.

# Pre Encounter Coverages V 1 Update

PUT https://api.taigabilling.com/coverages/v1/{id}/{version}
Content-Type: application/json

Updates a Coverage. The path must contain the next version number to prevent race conditions. For example, if the current version of the coverage is n, you will need to send a request to this endpoint with `/{id}/n+1` to update the coverage. Updating historic versions is not supported.

Reference: https://docs.taigabilling.com/api-reference/pre-encounter-coverages-v-1/pre-encounter-coverages-v-1-update

## Authentication

- `Authorization` header (bearer token, required) — Send your Taiga API key as a Bearer token. Create and manage keys in the Taiga developer portal.

## Servers

- `https://api.taigabilling.com` (Production, default)
- `https://api-staging.taigabilling.com` (Staging)

## Request

### Path parameters

- `id` (string, required) — The unique identifier for a Coverage in the database
- `version` (string, required)

### Body (application/json)

This endpoint expects a pre-encountercoveragesv1MutableCoverage.

- `status` (enum, required) — The status indiciating if the coverage is active or not.
  - Allowed values: `ACTIVE`, `CANCELLED`, `DRAFT`, `ENTERED_IN_ERROR`
- `subscriber` (pre-encountercoveragesv1Subscriber, required) — The party who has signed-up for or 'owns' the contractual relationship to the policy or to whom the benefit of the policy for services rendered to them or their family is due.
- `relationship` (enum, required) — The relationship of beneficiary (patient) to the subscriber. https://hl7.org/fhir/valueset-relationship.html
  - Allowed values: `SELF`, `SPOUSE`, `CHILD`, `COMMON_LAW_SPOUSE`, `OTHER`
- `patient` (string, required) — The canonical Taiga patient UUID corresponding with the patient who benefits from the insurance coverage
- `insurance_plan` (pre-encountercoveragesv1InsurancePlan, required)
- `verified` (boolean, required) — A boolean indicating if the coverage has been verified by a user.
- `eligibility_checks` (list of pre-encountereligibilityChecksv1EligibilityCheckMetadata, optional, nullable) — A list of eligibility check metadata that have been initiated on this coverage.
- `latest_eligibility_check` (pre-encountercoveragesv1LatestEligibilityCheck, optional, nullable) — The latest eligibility check metadata that has been initiated on this coverage.
- `benefits` (pre-encountercoveragesv1CoverageBenefits, optional, nullable) — The eligibility of the patient for the coverage, manually verified by users.
- `orcon` (boolean, optional, nullable) — ORCON (Originator Controlled) - When set to true, the Taiga system will hide this coverage from downstream integrations. Updates made in the Taiga UI will unset this flag. Defaults to false.
- `auto_update_enabled` (boolean, optional, nullable) — Default to true. When set to true, the Taiga system will automatically update this coverage with the latest eligibility check benefits information. Auto update behavior is also set at the eligibilityConfig org level configuration.
- `previous_appointment_copays` (map from string to integer, optional, nullable) — A map of UniversalServiceIdentifier (MD_Visit, Treatment, Tests, Activity) to copay values in cents. This is used to track copay values for each service type to handle OOP max resets correctly.

## Response

### 200

- `deactivated` (boolean, required) — True if the object is deactivated. Deactivated objects are not returned in search results but are returned in all other endpoints including scan.
- `id` (string, required) — The unique identifier for a Coverage in the database
- `insurance_plan` (pre-encountercoveragesv1InsurancePlan, required)
- `organization_id` (string, required) — The organization that owns this object.
- `patient` (string, required) — The canonical Taiga patient UUID corresponding with the patient who benefits from the insurance coverage
- `relationship` (enum, required) — The relationship of beneficiary (patient) to the subscriber. https://hl7.org/fhir/valueset-relationship.html
  - Allowed values: `SELF`, `SPOUSE`, `CHILD`, `COMMON_LAW_SPOUSE`, `OTHER`
- `status` (enum, required) — The status indiciating if the coverage is active or not.
  - Allowed values: `ACTIVE`, `CANCELLED`, `DRAFT`, `ENTERED_IN_ERROR`
- `subscriber` (pre-encountercoveragesv1Subscriber, required) — The party who has signed-up for or 'owns' the contractual relationship to the policy or to whom the benefit of the policy for services rendered to them or their family is due.
- `updated_at` (datetime, required)
- `updating_user_id` (string, required) — The user ID of the user who last updated the object.
- `verified` (boolean, required) — A boolean indicating if the coverage has been verified by a user.
- `version` (integer, required) — The version of the object. Any update to any property of an object object will create a new version.
- `auto_update_enabled` (boolean, optional, nullable) — Default to true. When set to true, the Taiga system will automatically update this coverage with the latest eligibility check benefits information. Auto update behavior is also set at the eligibilityConfig org level configuration.
- `benefits` (pre-encountercoveragesv1CoverageBenefits, optional, nullable) — The eligibility of the patient for the coverage, manually verified by users.
- `eligibility_checks` (list of pre-encountereligibilityChecksv1EligibilityCheckMetadata, optional, nullable) — A list of eligibility check metadata that have been initiated on this coverage.
- `latest_eligibility_check` (pre-encountercoveragesv1LatestEligibilityCheck, optional, nullable) — The latest eligibility check metadata that has been initiated on this coverage.
- `orcon` (boolean, optional, nullable) — ORCON (Originator Controlled) - When set to true, the Taiga system will hide this coverage from downstream integrations. Updates made in the Taiga UI will unset this flag. Defaults to false.
- `previous_appointment_copays` (map from string to integer, optional, nullable) — A map of UniversalServiceIdentifier (MD_Visit, Treatment, Tests, Activity) to copay values in cents. This is used to track copay values for each service type to handle OOP max resets correctly.

## Errors

### 404 Not Found Error

- `PreEncounter_coverages_v1_updateRequestNotFoundError`
  - PreEncounterCoveragesV1UpdateRequestNotFoundError0

### 409 Conflict Error

- `PreEncounter_coverages_v1_updateRequestConflictError`
  - PreEncounterCoveragesV1UpdateRequestConflictError0

## Types

### pre-encountercoveragesv1Subscriber

- `name` (pre-encounterHumanName, required)
- `biological_sex` (enum, required)
  - Allowed values: `FEMALE`, `MALE`, `UNKNOWN`, `REFUSED`
- `date_of_birth` (date, optional, nullable)
- `address` (pre-encounterAddress, optional, nullable)
- `employer_name` (string, optional, nullable)

### pre-encountercoveragesv1InsurancePlan

- `member_id` (string, required)
- `payer_id` (string, required) — The unique identifier for a Payer in the database
- `payer_name` (string, required)
- `additional_payer_information` (pre-encounterAdditionalPayerInformation, optional, nullable)
- `group_number` (string, optional, nullable)
- `name` (string, optional, nullable)
- `plan_type` (enum, optional, nullable)
  - Allowed values: `09`, `11`, `12`, `13`, `14`, `15`, `16`, `17`, `AM`, `BL`, `CH`, `CI`, `DS`, `FI`, `HM`, `LM`, `MA`, `MB`, `MC`, `OF`, `TV`, `VA`, `WC`, `ZZ`
- `type` (enum, optional, nullable) — Code identifying the type of insurance policy within a specific insurance program (X12 008020 Element 1336)
  - Allowed values: `01`, `12`, `13`, `14`, `15`, `16`, `17`, `18`, `19`, `41`, `42`, `43`, `47`, `AP`, `C1`, `CO`, `CP`, `D`, `DB`, `E`, `EP`, `FF`, `GP`, `HA`, `HB`, `HD`, `HG`, `HM`, `HN`, `HP`, `HS`, `IN`, `IP`, `LC`, `LD`, `LI`, `LT`, `M`, `MA`, `MB`, `MC`, `MD`, `ME`, `MF`, `MH`, `MI`, `MJ`, `MK`, `ML`, `MM`, `MN`, `MO`, `MP`, `MR`, `MT`, `MV`, `OA`, `OT`, `PE`, `PL`, `PP`, `PR`, `PS`, `QM`, `RP`, `SP`, `TF`, `U`, `WC`, `WU`
- `period` (pre-encounterPeriod, optional, nullable)
- `insurance_card_image_locator` (string, optional, nullable)
- `address` (pre-encounterAddress, optional, nullable)
- `payer_plan_group_id` (string, optional, nullable) — The ID of the Taiga configured payer plan group associated with this coverage
- `carve_outs` (list of pre-encountercoveragesv1CoverageCarveOut, optional, nullable)

### pre-encountereligibilityChecksv1EligibilityCheckMetadata

- `check_id` (string, required)
- `service_code` (enum, required) — Code identifying the type of service or benefit within a specific insurance policy (X12 008010 Element 1365)
  - Allowed values: `1`, `2`, `3`, `4`, `5`, `6`, `7`, `8`, `9`, `10`, `11`, `12`, `13`, `14`, `15`, `16`, `17`, `18`, `19`, `20`, `21`, `22`, `23`, `24`, `25`, `26`, `27`, `28`, `30`, `32`, `33`, `34`, `35`, `36`, `37`, `38`, `39`, `40`, `41`, `42`, `43`, `44`, `45`, `46`, `47`, `48`, `49`, `50`, `51`, `52`, `53`, `54`, `55`, `56`, `57`, `58`, `59`, `60`, `61`, `62`, `63`, `64`, `65`, `66`, `67`, `68`, `69`, `70`, `71`, `72`, `73`, `74`, `75`, `76`, `77`, `78`, `79`, `80`, `81`, `82`, `83`, `84`, `85`, `86`, `87`, `88`, `89`, `90`, `91`, `92`, `93`, `94`, `95`, `96`, `97`, `98`, `99`, `A0`, `A1`, `A2`, `A3`, `A4`, `A5`, `A6`, `A7`, `A8`, `A9`, `AA`, `AB`, `AC`, `AD`, `AE`, `AF`, `AG`, `AH`, `AI`, `AJ`, `AK`, `AL`, `AM`, `AN`, `AO`, `AQ`, `AR`, `B1`, `B2`, `B3`, `BA`, `BB`, `BC`, `BD`, `BE`, `BF`, `BG`, `BH`, `BI`, `BJ`, `BK`, `BL`, `BM`, `BN`, `BP`, `BQ`, `BR`, `BS`, `BT`, `BU`, `BV`, `BW`, `BX`, `BY`, `BZ`, `C1`, `CA`, `CB`, `CC`, `CD`, `CE`, `CF`, `CG`, `CH`, `CI`, `CJ`, `CK`, `CL`, `CM`, `CN`, `CO`, `CP`, `CQ`, `DG`, `DM`, `DS`, `GF`, `GN`, `GY`, `IC`, `MH`, `NI`, `ON`, `PT`, `PU`, `RN`, `RT`, `TC`, `TN`, `UC`
- `status` (enum, required) — enum to represent the status of an eligibility checks
  - Allowed values: `COMPLETED`, `FAILED`, `PENDING`
- `initiated_by` (string, required) — The unique identifier for a User in the database
- `initiated_at` (datetime, required)

### pre-encountercoveragesv1LatestEligibilityCheck

A type to represent the latest eligibility check status of a coverage.

- `check_id` (string, required)
- `status` (enum, required) — enum to represent the status of a patient's coverage
  - Allowed values: `ACTIVE`, `INACTIVE`, `UNKNOWN`
- `initiated_at` (datetime, required)
- `errors` (list of pre-encountereligibilityChecksv1EligibilityCheckErrorDetails, optional, nullable)
- `request_corrections` (list of pre-encountereligibilityChecksv1RequestCorrection, optional, nullable) — Fields where the payer's 271 response disagreed with what we sent on the request, surfaced from the check so consumers can detect that the eligibility response contradicted the coverage on file. Empty when the payer echoed everything we sent.
- `trading_partner` (string, optional, nullable) — The payer's own identifier as returned on the Stedi eligibility response (271) `tradingPartnerServiceId`, surfaced from the latest check's plan metadata so it is readable off the coverage. Can differ from the ID we submitted.

### pre-encountercoveragesv1CoverageBenefits

- `plan_coverage` (pre-encountercoveragesv1PlanCoverage, optional, nullable)
- `service_specific_coverage` (list of pre-encountercoveragesv1ServiceCoverage, optional, nullable)
- `benefits_related_entities` (list of pre-encountercoveragesv1BenefitsRelatedEntity, optional, nullable)
- `non_covered_details` (list of pre-encountercoveragesv1NonCoveredDetail, optional, nullable)
- `notes` (string, optional, nullable)
- `autoUpdatedEligibilityCheckId` (string, optional, nullable)

### PreEncounterCoveragesV1UpdateRequestNotFoundError0

- `errorName` (enum, optional)
  - Allowed values: `VersionConflictError`
- `content` (pre-encounterErrorBase4xx, optional)

### PreEncounterCoveragesV1UpdateRequestConflictError0

- `errorName` (enum, optional)
  - Allowed values: `VersionConflictError`
- `content` (pre-encounterVersionConflictErrorBody, optional)

### pre-encounterHumanName

- `family` (string, required)
- `given` (list of string, required)
- `use` (enum, required)
  - Allowed values: `USUAL`, `OFFICIAL`, `TEMP`, `NICKNAME`, `ANONYMOUS`, `OLD`, `MAIDEN`
- `period` (pre-encounterPeriod, optional, nullable)
- `suffix` (string, optional, nullable)

### pre-encounterAddress

- `use` (enum, required)
  - Allowed values: `HOME`, `WORK`, `TEMP`, `OLD`, `BILLING`
- `line` (list of string, required)
- `city` (string, required)
- `state` (string, required)
- `postal_code` (string, required)
- `country` (string, required)
- `administrative_area` (string, optional, nullable) — The top-level administrative subdivision of the country for addresses outside the US — for example a Canadian province, a UK county, or a Japanese prefecture. Only permitted on international addresses: `country` must be present and non-US, and `state` must be "FC" (the X12 foreign-country sentinel). For US addresses use `state` instead.
- `county` (string, optional, nullable)
- `period` (pre-encounterPeriod, optional, nullable)

### pre-encounterAdditionalPayerInformation

- `availity_eligibility_id` (string, optional, nullable)
- `availity_payer_id` (string, optional, nullable)
- `availity_payer_name` (string, optional, nullable)
- `availity_remittance_payer_id` (string, optional, nullable)

### pre-encounterPeriod

- `start` (date, optional, nullable)
- `end` (date, optional, nullable)

### pre-encountercoveragesv1CoverageCarveOut

- `carve_out` (enum, required)
  - Allowed values: `BEHAVIORAL`, `MEDICAL`, `THERAPY`, `OTHER`
- `member_id` (string, required)
- `payer_id` (string, required) — The unique identifier for a Payer in the database
- `payer_name` (string, required)
- `group_number` (string, optional, nullable)
- `plan_type` (enum, optional, nullable)
  - Allowed values: `09`, `11`, `12`, `13`, `14`, `15`, `16`, `17`, `AM`, `BL`, `CH`, `CI`, `DS`, `FI`, `HM`, `LM`, `MA`, `MB`, `MC`, `OF`, `TV`, `VA`, `WC`, `ZZ`
- `type` (enum, optional, nullable) — Code identifying the type of insurance policy within a specific insurance program (X12 008020 Element 1336)
  - Allowed values: `01`, `12`, `13`, `14`, `15`, `16`, `17`, `18`, `19`, `41`, `42`, `43`, `47`, `AP`, `C1`, `CO`, `CP`, `D`, `DB`, `E`, `EP`, `FF`, `GP`, `HA`, `HB`, `HD`, `HG`, `HM`, `HN`, `HP`, `HS`, `IN`, `IP`, `LC`, `LD`, `LI`, `LT`, `M`, `MA`, `MB`, `MC`, `MD`, `ME`, `MF`, `MH`, `MI`, `MJ`, `MK`, `ML`, `MM`, `MN`, `MO`, `MP`, `MR`, `MT`, `MV`, `OA`, `OT`, `PE`, `PL`, `PP`, `PR`, `PS`, `QM`, `RP`, `SP`, `TF`, `U`, `WC`, `WU`
- `payer_plan_group_id` (string, optional, nullable) — The ID of the Taiga configured payer plan group associated with this coverage

### pre-encountereligibilityChecksv1EligibilityCheckErrorDetails

This object is our fern representation of Stedi's EligbilityCheckError object from their API.

- `field?` (string, optional, nullable)
- `description?` (string, optional, nullable)
- `location?` (string, optional, nullable)
- `possibleResolutions?` (string, optional, nullable)
- `code?` (string, optional, nullable)
- `followupAction?` (string, optional, nullable)

### pre-encountereligibilityChecksv1RequestCorrection

- `property` (string, required)
- `request_value` (string, required)
- `corrected_value` (string, required)

### pre-encountercoveragesv1PlanCoverage

- `in_network` (pre-encountercoveragesv1PlanCoverageDetails, optional, nullable)
- `in_network_flat` (list of pre-encountercoveragesv1CoverageDetails, optional, nullable)
- `out_of_network` (pre-encountercoveragesv1PlanCoverageDetails, optional, nullable)
- `out_of_network_flat` (list of pre-encountercoveragesv1CoverageDetails, optional, nullable)

### pre-encountercoveragesv1ServiceCoverage

- `service_code` (enum, required) — Code identifying the type of service or benefit within a specific insurance policy (X12 008010 Element 1365)
  - Allowed values: `1`, `2`, `3`, `4`, `5`, `6`, `7`, `8`, `9`, `10`, `11`, `12`, `13`, `14`, `15`, `16`, `17`, `18`, `19`, `20`, `21`, `22`, `23`, `24`, `25`, `26`, `27`, `28`, `30`, `32`, `33`, `34`, `35`, `36`, `37`, `38`, `39`, `40`, `41`, `42`, `43`, `44`, `45`, `46`, `47`, `48`, `49`, `50`, `51`, `52`, `53`, `54`, `55`, `56`, `57`, `58`, `59`, `60`, `61`, `62`, `63`, `64`, `65`, `66`, `67`, `68`, `69`, `70`, `71`, `72`, `73`, `74`, `75`, `76`, `77`, `78`, `79`, `80`, `81`, `82`, `83`, `84`, `85`, `86`, `87`, `88`, `89`, `90`, `91`, `92`, `93`, `94`, `95`, `96`, `97`, `98`, `99`, `A0`, `A1`, `A2`, `A3`, `A4`, `A5`, `A6`, `A7`, `A8`, `A9`, `AA`, `AB`, `AC`, `AD`, `AE`, `AF`, `AG`, `AH`, `AI`, `AJ`, `AK`, `AL`, `AM`, `AN`, `AO`, `AQ`, `AR`, `B1`, `B2`, `B3`, `BA`, `BB`, `BC`, `BD`, `BE`, `BF`, `BG`, `BH`, `BI`, `BJ`, `BK`, `BL`, `BM`, `BN`, `BP`, `BQ`, `BR`, `BS`, `BT`, `BU`, `BV`, `BW`, `BX`, `BY`, `BZ`, `C1`, `CA`, `CB`, `CC`, `CD`, `CE`, `CF`, `CG`, `CH`, `CI`, `CJ`, `CK`, `CL`, `CM`, `CN`, `CO`, `CP`, `CQ`, `DG`, `DM`, `DS`, `GF`, `GN`, `GY`, `IC`, `MH`, `NI`, `ON`, `PT`, `PU`, `RN`, `RT`, `TC`, `TN`, `UC`
- `in_network` (pre-encountercoveragesv1ServiceCoverageDetails, optional, nullable)
- `in_network_flat` (list of pre-encountercoveragesv1CoverageDetails, optional, nullable)
- `out_of_network` (pre-encountercoveragesv1ServiceCoverageDetails, optional, nullable)
- `out_of_network_flat` (list of pre-encountercoveragesv1CoverageDetails, optional, nullable)

### pre-encountercoveragesv1BenefitsRelatedEntity

- `entityIdentifier` (string, optional, nullable)
- `entityType` (string, optional, nullable)
- `entityName` (string, optional, nullable)
- `contactInformation` (list of pre-encountercoveragesv1RelatedEntityContact, optional, nullable)
- `serviceTypeCodes` (list of enum, optional, nullable)
  - Allowed values: `1`, `2`, `3`, `4`, `5`, `6`, `7`, `8`, `9`, `10`, `11`, `12`, `13`, `14`, `15`, `16`, `17`, `18`, `19`, `20`, `21`, `22`, `23`, `24`, `25`, `26`, `27`, `28`, `30`, `32`, `33`, `34`, `35`, `36`, `37`, `38`, `39`, `40`, `41`, `42`, `43`, `44`, `45`, `46`, `47`, `48`, `49`, `50`, `51`, `52`, `53`, `54`, `55`, `56`, `57`, `58`, `59`, `60`, `61`, `62`, `63`, `64`, `65`, `66`, `67`, `68`, `69`, `70`, `71`, `72`, `73`, `74`, `75`, `76`, `77`, `78`, `79`, `80`, `81`, `82`, `83`, `84`, `85`, `86`, `87`, `88`, `89`, `90`, `91`, `92`, `93`, `94`, `95`, `96`, `97`, `98`, `99`, `A0`, `A1`, `A2`, `A3`, `A4`, `A5`, `A6`, `A7`, `A8`, `A9`, `AA`, `AB`, `AC`, `AD`, `AE`, `AF`, `AG`, `AH`, `AI`, `AJ`, `AK`, `AL`, `AM`, `AN`, `AO`, `AQ`, `AR`, `B1`, `B2`, `B3`, `BA`, `BB`, `BC`, `BD`, `BE`, `BF`, `BG`, `BH`, `BI`, `BJ`, `BK`, `BL`, `BM`, `BN`, `BP`, `BQ`, `BR`, `BS`, `BT`, `BU`, `BV`, `BW`, `BX`, `BY`, `BZ`, `C1`, `CA`, `CB`, `CC`, `CD`, `CE`, `CF`, `CG`, `CH`, `CI`, `CJ`, `CK`, `CL`, `CM`, `CN`, `CO`, `CP`, `CQ`, `DG`, `DM`, `DS`, `GF`, `GN`, `GY`, `IC`, `MH`, `NI`, `ON`, `PT`, `PU`, `RN`, `RT`, `TC`, `TN`, `UC`

### pre-encountercoveragesv1NonCoveredDetail

- `type` (enum, required)
  - Allowed values: `DEDUCTIBLE`, `DEDUCTIBLE_CONTRACT`, `DEDUCTIBLE_REMAINING`, `DEDUCTIBLE_YEAR_TO_DATE`, `OOP_MAX`, `OOP_MAX_CONTRACT`, `OOP_MAX_REMAINING`, `OOP_MAX_YEAR_TO_DATE`, `COPAY`, `COINSURANCE`, `NON_COVERED`, `LIMITATION`
- `coverageLevel` (enum, required)
  - Allowed values: `EMPLOYEE_AND_CHILDREN`, `EMPLOYEE_ONLY`, `EMPLOYEE_AND_SPOUSE`, `FAMILY`, `INDIVIDUAL`
- `unit` (enum, required)
  - Allowed values: `PERCENT`, `CURRENCY`, `COUNT`
- `value` (double, required)
- `additional_notes` (string, optional, nullable)
- `service_type_codes` (list of enum, optional, nullable)
  - Allowed values: `1`, `2`, `3`, `4`, `5`, `6`, `7`, `8`, `9`, `10`, `11`, `12`, `13`, `14`, `15`, `16`, `17`, `18`, `19`, `20`, `21`, `22`, `23`, `24`, `25`, `26`, `27`, `28`, `30`, `32`, `33`, `34`, `35`, `36`, `37`, `38`, `39`, `40`, `41`, `42`, `43`, `44`, `45`, `46`, `47`, `48`, `49`, `50`, `51`, `52`, `53`, `54`, `55`, `56`, `57`, `58`, `59`, `60`, `61`, `62`, `63`, `64`, `65`, `66`, `67`, `68`, `69`, `70`, `71`, `72`, `73`, `74`, `75`, `76`, `77`, `78`, `79`, `80`, `81`, `82`, `83`, `84`, `85`, `86`, `87`, `88`, `89`, `90`, `91`, `92`, `93`, `94`, `95`, `96`, `97`, `98`, `99`, `A0`, `A1`, `A2`, `A3`, `A4`, `A5`, `A6`, `A7`, `A8`, `A9`, `AA`, `AB`, `AC`, `AD`, `AE`, `AF`, `AG`, `AH`, `AI`, `AJ`, `AK`, `AL`, `AM`, `AN`, `AO`, `AQ`, `AR`, `B1`, `B2`, `B3`, `BA`, `BB`, `BC`, `BD`, `BE`, `BF`, `BG`, `BH`, `BI`, `BJ`, `BK`, `BL`, `BM`, `BN`, `BP`, `BQ`, `BR`, `BS`, `BT`, `BU`, `BV`, `BW`, `BX`, `BY`, `BZ`, `C1`, `CA`, `CB`, `CC`, `CD`, `CE`, `CF`, `CG`, `CH`, `CI`, `CJ`, `CK`, `CL`, `CM`, `CN`, `CO`, `CP`, `CQ`, `DG`, `DM`, `DS`, `GF`, `GN`, `GY`, `IC`, `MH`, `NI`, `ON`, `PT`, `PU`, `RN`, `RT`, `TC`, `TN`, `UC`

### pre-encounterErrorBase4xx

- `message` (string, required)
- `data` (any, optional, nullable)

### pre-encounterVersionConflictErrorBody

- `message` (string, required)
- `data` (any, optional, nullable)
- `latest_version` (integer, optional, nullable)

### pre-encountercoveragesv1PlanCoverageDetails

- `deductible` (pre-encountercoveragesv1CoverageValue, optional, nullable)
- `deductible_contract` (pre-encountercoveragesv1CoverageValue, optional, nullable)
- `deductible_remaining` (pre-encountercoveragesv1CoverageValue, optional, nullable)
- `deductible_year_to_date` (pre-encountercoveragesv1CoverageValue, optional, nullable)
- `oop_max` (pre-encountercoveragesv1CoverageValue, optional, nullable)
- `oop_max_contract` (pre-encountercoveragesv1CoverageValue, optional, nullable)
- `oop_max_remaining` (pre-encountercoveragesv1CoverageValue, optional, nullable)
- `oop_max_year_to_date` (pre-encountercoveragesv1CoverageValue, optional, nullable)
- `additional_notes` (string, optional, nullable)

### pre-encountercoveragesv1CoverageDetails

- `type` (enum, required)
  - Allowed values: `DEDUCTIBLE`, `DEDUCTIBLE_CONTRACT`, `DEDUCTIBLE_REMAINING`, `DEDUCTIBLE_YEAR_TO_DATE`, `OOP_MAX`, `OOP_MAX_CONTRACT`, `OOP_MAX_REMAINING`, `OOP_MAX_YEAR_TO_DATE`, `COPAY`, `COINSURANCE`, `NON_COVERED`, `LIMITATION`
- `coverageLevel` (enum, required)
  - Allowed values: `EMPLOYEE_AND_CHILDREN`, `EMPLOYEE_ONLY`, `EMPLOYEE_AND_SPOUSE`, `FAMILY`, `INDIVIDUAL`
- `unit` (enum, required)
  - Allowed values: `PERCENT`, `CURRENCY`, `COUNT`
- `value` (double, required)
- `additional_notes` (string, optional, nullable)

### pre-encountercoveragesv1ServiceCoverageDetails

- `copay` (pre-encountercoveragesv1CoverageValue, optional, nullable)
- `coinsurance` (pre-encountercoveragesv1CoverageValue, optional, nullable)
- `visits` (pre-encountercoveragesv1CoverageValue, optional, nullable)
- `visits_remaining` (pre-encountercoveragesv1CoverageValue, optional, nullable)
- `additional_notes` (string, optional, nullable)

### pre-encountercoveragesv1RelatedEntityContact

- `mode` (string, optional, nullable)
- `value` (string, optional, nullable)

### pre-encountercoveragesv1CoverageValue

- `family` (double, optional, nullable)
- `individual` (double, optional, nullable)
- `employeeAndSpouse` (double, optional, nullable)
- `employeeAndChildren` (double, optional, nullable)

## Examples

**Request**

```json
{
  "status": "ACTIVE",
  "subscriber": {
    "name": {
      "family": "string",
      "given": [
        "string"
      ],
      "use": "USUAL"
    },
    "biological_sex": "FEMALE"
  },
  "relationship": "SELF",
  "patient": "string",
  "insurance_plan": {
    "member_id": "string",
    "payer_id": "string",
    "payer_name": "string"
  },
  "verified": true
}
```

**Response**

```json
{
  "deactivated": true,
  "id": "string",
  "insurance_plan": {
    "member_id": "string",
    "payer_id": "string",
    "payer_name": "string",
    "additional_payer_information": {
      "availity_eligibility_id": "string",
      "availity_payer_id": "string",
      "availity_payer_name": "string",
      "availity_remittance_payer_id": "string"
    },
    "group_number": "string",
    "name": "string",
    "plan_type": "09",
    "type": "01",
    "period": {
      "start": "2023-01-15",
      "end": "2023-01-15"
    },
    "insurance_card_image_locator": "string",
    "address": {
      "use": "HOME",
      "line": [
        "string"
      ],
      "city": "string",
      "state": "string",
      "postal_code": "string",
      "country": "string",
      "administrative_area": "string",
      "county": "string",
      "period": {
        "start": "2023-01-15",
        "end": "2023-01-15"
      }
    },
    "payer_plan_group_id": "string",
    "carve_outs": [
      {
        "carve_out": "BEHAVIORAL",
        "member_id": "string",
        "payer_id": "string",
        "payer_name": "string",
        "group_number": "string",
        "plan_type": "09",
        "type": "01",
        "payer_plan_group_id": "string"
      }
    ]
  },
  "organization_id": "string",
  "patient": "string",
  "relationship": "SELF",
  "status": "ACTIVE",
  "subscriber": {
    "name": {
      "family": "string",
      "given": [
        "string"
      ],
      "use": "USUAL",
      "period": {
        "start": "2023-01-15",
        "end": "2023-01-15"
      },
      "suffix": "string"
    },
    "biological_sex": "FEMALE",
    "date_of_birth": "2023-01-15",
    "address": {
      "use": "HOME",
      "line": [
        "string"
      ],
      "city": "string",
      "state": "string",
      "postal_code": "string",
      "country": "string",
      "administrative_area": "string",
      "county": "string",
      "period": {
        "start": "2023-01-15",
        "end": "2023-01-15"
      }
    },
    "employer_name": "string"
  },
  "updated_at": "2024-01-15T09:30:00Z",
  "updating_user_id": "string",
  "verified": true,
  "version": 1,
  "auto_update_enabled": true,
  "benefits": {
    "plan_coverage": {
      "in_network": {
        "deductible": {
          "family": 1.1,
          "individual": 1.1,
          "employeeAndSpouse": 1.1,
          "employeeAndChildren": 1.1
        },
        "deductible_contract": {
          "family": 1.1,
          "individual": 1.1,
          "employeeAndSpouse": 1.1,
          "employeeAndChildren": 1.1
        },
        "deductible_remaining": {
          "family": 1.1,
          "individual": 1.1,
          "employeeAndSpouse": 1.1,
          "employeeAndChildren": 1.1
        },
        "deductible_year_to_date": {
          "family": 1.1,
          "individual": 1.1,
          "employeeAndSpouse": 1.1,
          "employeeAndChildren": 1.1
        },
        "oop_max": {
          "family": 1.1,
          "individual": 1.1,
          "employeeAndSpouse": 1.1,
          "employeeAndChildren": 1.1
        },
        "oop_max_contract": {
          "family": 1.1,
          "individual": 1.1,
          "employeeAndSpouse": 1.1,
          "employeeAndChildren": 1.1
        },
        "oop_max_remaining": {
          "family": 1.1,
          "individual": 1.1,
          "employeeAndSpouse": 1.1,
          "employeeAndChildren": 1.1
        },
        "oop_max_year_to_date": {
          "family": 1.1,
          "individual": 1.1,
          "employeeAndSpouse": 1.1,
          "employeeAndChildren": 1.1
        },
        "additional_notes": "string"
      },
      "in_network_flat": [
        {
          "type": "DEDUCTIBLE",
          "coverageLevel": "EMPLOYEE_AND_CHILDREN",
          "unit": "PERCENT",
          "value": 1.1,
          "additional_notes": "string"
        }
      ],
      "out_of_network": {
        "deductible": {
          "family": 1.1,
          "individual": 1.1,
          "employeeAndSpouse": 1.1,
          "employeeAndChildren": 1.1
        },
        "deductible_contract": {
          "family": 1.1,
          "individual": 1.1,
          "employeeAndSpouse": 1.1,
          "employeeAndChildren": 1.1
        },
        "deductible_remaining": {
          "family": 1.1,
          "individual": 1.1,
          "employeeAndSpouse": 1.1,
          "employeeAndChildren": 1.1
        },
        "deductible_year_to_date": {
          "family": 1.1,
          "individual": 1.1,
          "employeeAndSpouse": 1.1,
          "employeeAndChildren": 1.1
        },
        "oop_max": {
          "family": 1.1,
          "individual": 1.1,
          "employeeAndSpouse": 1.1,
          "employeeAndChildren": 1.1
        },
        "oop_max_contract": {
          "family": 1.1,
          "individual": 1.1,
          "employeeAndSpouse": 1.1,
          "employeeAndChildren": 1.1
        },
        "oop_max_remaining": {
          "family": 1.1,
          "individual": 1.1,
          "employeeAndSpouse": 1.1,
          "employeeAndChildren": 1.1
        },
        "oop_max_year_to_date": {
          "family": 1.1,
          "individual": 1.1,
          "employeeAndSpouse": 1.1,
          "employeeAndChildren": 1.1
        },
        "additional_notes": "string"
      },
      "out_of_network_flat": [
        {
          "type": "DEDUCTIBLE",
          "coverageLevel": "EMPLOYEE_AND_CHILDREN",
          "unit": "PERCENT",
          "value": 1.1,
          "additional_notes": "string"
        }
      ]
    },
    "service_specific_coverage": [
      {
        "service_code": "1",
        "in_network": {
          "copay": {
            "family": 1.1,
            "individual": 1.1,
            "employeeAndSpouse": 1.1,
            "employeeAndChildren": 1.1
          },
          "coinsurance": {
            "family": 1.1,
            "individual": 1.1,
            "employeeAndSpouse": 1.1,
            "employeeAndChildren": 1.1
          },
          "visits": {
            "family": 1.1,
            "individual": 1.1,
            "employeeAndSpouse": 1.1,
            "employeeAndChildren": 1.1
          },
          "visits_remaining": {
            "family": 1.1,
            "individual": 1.1,
            "employeeAndSpouse": 1.1,
            "employeeAndChildren": 1.1
          },
          "additional_notes": "string"
        },
        "in_network_flat": [
          {
            "type": "DEDUCTIBLE",
            "coverageLevel": "EMPLOYEE_AND_CHILDREN",
            "unit": "PERCENT",
            "value": 1.1,
            "additional_notes": "string"
          }
        ],
        "out_of_network": {
          "copay": {
            "family": 1.1,
            "individual": 1.1,
            "employeeAndSpouse": 1.1,
            "employeeAndChildren": 1.1
          },
          "coinsurance": {
            "family": 1.1,
            "individual": 1.1,
            "employeeAndSpouse": 1.1,
            "employeeAndChildren": 1.1
          },
          "visits": {
            "family": 1.1,
            "individual": 1.1,
            "employeeAndSpouse": 1.1,
            "employeeAndChildren": 1.1
          },
          "visits_remaining": {
            "family": 1.1,
            "individual": 1.1,
            "employeeAndSpouse": 1.1,
            "employeeAndChildren": 1.1
          },
          "additional_notes": "string"
        },
        "out_of_network_flat": [
          {
            "type": "DEDUCTIBLE",
            "coverageLevel": "EMPLOYEE_AND_CHILDREN",
            "unit": "PERCENT",
            "value": 1.1,
            "additional_notes": "string"
          }
        ]
      }
    ],
    "benefits_related_entities": [
      {
        "entityIdentifier": "string",
        "entityType": "string",
        "entityName": "string",
        "contactInformation": [
          {
            "mode": "string",
            "value": "string"
          }
        ],
        "serviceTypeCodes": [
          "1"
        ]
      }
    ],
    "non_covered_details": [
      {
        "type": "DEDUCTIBLE",
        "coverageLevel": "EMPLOYEE_AND_CHILDREN",
        "unit": "PERCENT",
        "value": 1.1,
        "additional_notes": "string",
        "service_type_codes": [
          "1"
        ]
      }
    ],
    "notes": "string",
    "autoUpdatedEligibilityCheckId": "string"
  },
  "eligibility_checks": [
    {
      "check_id": "string",
      "service_code": "1",
      "status": "COMPLETED",
      "initiated_by": "string",
      "initiated_at": "2024-01-15T09:30:00Z"
    }
  ],
  "latest_eligibility_check": {
    "check_id": "string",
    "status": "ACTIVE",
    "initiated_at": "2024-01-15T09:30:00Z",
    "errors": [
      {
        "field?": "string",
        "description?": "string",
        "location?": "string",
        "possibleResolutions?": "string",
        "code?": "string",
        "followupAction?": "string"
      }
    ],
    "request_corrections": [
      {
        "property": "string",
        "request_value": "string",
        "corrected_value": "string"
      }
    ],
    "trading_partner": "string"
  },
  "orcon": true,
  "previous_appointment_copays": {}
}
```

**SDK Code**

```python
import requests

url = "https://api.taigabilling.com/coverages/v1/id/version"

payload = {
    "status": "ACTIVE",
    "subscriber": {
        "name": {
            "family": "string",
            "given": ["string"],
            "use": "USUAL"
        },
        "biological_sex": "FEMALE"
    },
    "relationship": "SELF",
    "patient": "string",
    "insurance_plan": {
        "member_id": "string",
        "payer_id": "string",
        "payer_name": "string"
    },
    "verified": True
}
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.put(url, json=payload, headers=headers)

print(response.json())
```